<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width,initial-scale=1">
    <title>Known issues :: Wovalab open-source projects</title>
    <link rel="canonical" href="https://wovalab.gitlab.io/open-source/docs/asciidoc-toolkit/latest/known-issues.html">
    <link rel="prev" href="advanced-topics.html">
    <meta name="generator" content="Antora 3.0.2">
    <link rel="stylesheet" href="../../_/css/site.css">
    <script async src="https://www.googletagmanager.com/gtag/js?id=G-3KJN6K6QRD"></script>
    <script>function gtag(){dataLayer.push(arguments)};window.dataLayer=window.dataLayer||[];gtag('js',new Date());gtag('config','G-3KJN6K6QRD')</script>
    <script>var uiRootPath = '../../_'</script>
    <link rel="icon" href="../../favicon.ico" type="image/x-icon">  </head>
  <body class="article">
<header class="header">
  <nav class="navbar">
    <div class="navbar-brand">
      <a class="navbar-item logo" title="Wovalab" href="https://www.wovalab.com"><img src="../../_/img/wovalab-light-vertical.svg" alt="Wovalab" width="64"></a>
      <a class="navbar-item" href="https://wovalab.gitlab.io/open-source/docs">Wovalab open-source projects</a>
      <div class="navbar-item search hide-for-print">
        <div id="search-field" class="field">
          <input id="search-input" type="text" placeholder="Search the docs">
          <label class="filter checkbox">
            <input type="checkbox" data-facet-filter="component:asciidoc-toolkit" checked> In this project
          </label>
        </div>
      </div>
      <button class="navbar-burger" data-target="topbar-nav">
        <span></span>
        <span></span>
        <span></span>
      </button>
    </div>
  </nav>
</header>
<div class="body">
<div class="nav-container" data-component="asciidoc-toolkit" data-version="1.8">
  <aside class="nav">
    <div class="panels">
<div class="nav-panel-menu is-active" data-panel="menu">
  <nav class="nav-menu">
    <h3 class="title"><a href="index.html">AsciiDoc toolkit</a></h3>
<ul class="nav-list">
  <li class="nav-item" data-depth="0">
<ul class="nav-list">
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="index.html">What&#8217;s new</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="general-info.html">General information</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="api.html">API description</a>
  </li>
  <li class="nav-item" data-depth="1">
    <a class="nav-link" href="advanced-topics.html">Advanced topics</a>
  </li>
  <li class="nav-item is-current-page" data-depth="1">
    <a class="nav-link" href="known-issues.html">Known issues</a>
  </li>
</ul>
  </li>
</ul>
  </nav>
</div>
<div class="nav-panel-explore" data-panel="explore">
  <div class="context">
    <span class="title">AsciiDoc toolkit</span>
    <span class="version">1.8</span>
  </div>
  <ul class="components">
    <li class="component is-current">
      <a class="title" href="index.html">AsciiDoc toolkit</a>
      <ul class="versions">
        <li class="version is-current is-latest">
          <a href="index.html">1.8</a>
        </li>
        <li class="version">
          <a href="../1.7/index.html">1.7</a>
        </li>
        <li class="version">
          <a href="../1.6/index.html">1.6</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc/latest/index.html">Antidoc</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-lvproj/latest/index.html">Antidoc add-on: LabVIEW project</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-lvproj/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../antidoc-addon-lvproj/2.0/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../antidoc-addon-toolkit/latest/index.html">Antidoc add-on: LabVIEW toolkit</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../antidoc-addon-toolkit/latest/index.html">2.0</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../cli-tool-for-antidoc/latest/index.html">Antidoc CLI</a>
      <ul class="versions">
        <li class="version is-latest">
          <a href="../../cli-tool-for-antidoc/latest/index.html">2.1</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/2.0/index.html">2.0</a>
        </li>
        <li class="version">
          <a href="../../cli-tool-for-antidoc/1.2.1/index.html">1.2.1</a>
        </li>
      </ul>
    </li>
    <li class="component">
      <a class="title" href="../../about/index.html">Community</a>
    </li>
  </ul>
</div>    </div>
  </aside>
</div>
<main class="article">
<div class="toolbar" role="navigation">
<button class="nav-toggle"></button>
  <a href="../../index.html" class="home-link"></a>
<nav class="breadcrumbs" aria-label="breadcrumbs">
  <ul>
    <li><a href="index.html">AsciiDoc toolkit</a></li>
    <li><a href="known-issues.html">Known issues</a></li>
  </ul>
</nav>
<div class="page-versions">
  <button class="version-menu-toggle" title="Show other versions of page">1.8</button>
  <div class="version-menu">
    <a class="version is-current" href="known-issues.html">1.8</a>
    <a class="version" href="../1.7/known-issues.html">1.7</a>
    <a class="version is-missing" href="../1.6/index.html">1.6</a>
  </div>
</div>
  <div class="edit-this-page"><a href="https://gitlab.com/wovalab/open-source/asciidoc-toolkit/edit/docs/v1.8/docs/modules/ROOT/pages/known-issues.adoc">Edit this Page</a></div>
  </div>
  <div class="content">
<aside class="toc sidebar" data-title="Contents" data-levels="2">
  <div class="toc-menu"></div>
</aside>
<article class="doc">
<h1 class="page">Known issues</h1>
<div class="sect1">
<h2 id="asciidoc-toolchain-offline-installation"><a class="anchor" href="#asciidoc-toolchain-offline-installation"></a>Asciidoc toolchain offline installation</h2>
<div class="sectionbody">
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
This section only applies to Windows.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>If your network access is strictly controlled or if you have no access to the internet at all, the installation can fail.
If you want to install the toolchain manually, you can do the following steps:</p>
</div>
<div class="olist arabic">
<ol class="arabic">
<li>
<p>Download the toolchain zip at <a href="https://www.wovalab.com/wp-content/uploads/AsciidocToolkit/RubyInstance.zip" class="bare">https://www.wovalab.com/wp-content/uploads/AsciidocToolkit/RubyInstance.zip</a></p>
</li>
<li>
<p>Extract the archive in the folder <code>&lt;Public Application Data&gt;\AppData\Local\Asciidoc For LabVIEW</code></p>
</li>
<li>
<p>Test installation with the Check Asciidoctor Toolchain Installation</p>
</li>
</ol>
</div>
</div>
</div>
<div class="sect1">
<h2 id="html-or-pdf-rendering-without-an-internet-connection"><a class="anchor" href="#html-or-pdf-rendering-without-an-internet-connection"></a>HTML or PDF rendering without an internet connection</h2>
<div class="sectionbody">
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
This section only applies to Windows.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>If the toolchain is correctly installed, you can generate simple documents without the need for an internet connection.</p>
</div>
<div class="paragraph">
<p>If your document contains diagrams, you will need an internet connection.
If no connection is available, you can install the complete toolchain manually.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
More information on the "how-to" process can be found in this <a href="https://wovalab-open-source-projects.zulipchat.com/#narrow/stream/328847-Asciidoc-for-LabVIEW/topic/.E2.9C.94.20Offline.20PC.20installation">discussion</a>
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="diagram-rendering-and-proxy-error"><a class="anchor" href="#diagram-rendering-and-proxy-error"></a>Diagram rendering and proxy error</h2>
<div class="sectionbody">
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
This section only applies to Windows.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Proxy settings can prevent you to get diagrams rendered when generating HTML or PDF files from your adoc file.
To fix that you need to set the username/password in the http_proxy environment variable.</p>
</div>
<div class="admonitionblock note">
<table>
<tr>
<td class="icon">
<i class="fa icon-note" title="Note"></i>
</td>
<td class="content">
More information on the "how-to" process can be found in this <a href="https://gitlab.com/wovalab/open-source/labview-doc-generator/-/issues/187">issue</a>
</td>
</tr>
</table>
</div>
</div>
</div>
<div class="sect1">
<h2 id="diagram-rendering-and-ssl-error"><a class="anchor" href="#diagram-rendering-and-ssl-error"></a>Diagram rendering and SSL error</h2>
<div class="sectionbody">
<div class="admonitionblock warning">
<table>
<tr>
<td class="icon">
<i class="fa icon-warning" title="Warning"></i>
</td>
<td class="content">
This section only applies to Windows.
</td>
</tr>
</table>
</div>
<div class="paragraph">
<p>Depending of your network security policy, you may experience error 5000 due to SSL error.</p>
</div>
<div class="paragraph">
<p>Please follow the conversation <a href="https://wovalab-open-source-projects.zulipchat.com/#narrow/stream/329080-Antidoc-Add-on---LabVIEW-Project/topic/Error.205000">here</a> to see possible ways to manage this issue.</p>
</div>
</div>
</div>
<nav class="pagination">
  <span class="prev"><a href="advanced-topics.html">Advanced topics</a></span>
</nav>
</article>
  </div>
</main>
</div>
<footer class="footer">
  <p>Wovalab © 2018-2022</p>
</footer>
<script id="site-script" src="../../_/js/site.js" data-ui-root-path="../../_"></script>
<script async src="../../_/js/vendor/highlight.js"></script>
<script src="../../_/js/vendor/lunr.js"></script>
<script src="../../_/js/search-ui.js" id="search-ui-script" data-site-root-path="../.." data-snippet-length="100" data-stylesheet="../../_/css/search.css"></script>
<script async src="../../search-index.js"></script>
  </body>
</html>
